Open CASCADE Technology 7.8.2.dev
GCE2d_MakeArcOfParabola Class Reference

Implements construction algorithms for an arc of parabola in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfParabola object provides a framework for: More...

#include <GCE2d_MakeArcOfParabola.hxx>

Inheritance diagram for GCE2d_MakeArcOfParabola:

Public Member Functions

 GCE2d_MakeArcOfParabola (const gp_Parab2d &Parab, const Standard_Real Alpha1, const Standard_Real Alpha2, const Standard_Boolean Sense=Standard_True)
 Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two parameters Alpha1 and Alpha2.
 
 GCE2d_MakeArcOfParabola (const gp_Parab2d &Parab, const gp_Pnt2d &P, const Standard_Real Alpha, const Standard_Boolean Sense=Standard_True)
 Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between point.
 
 GCE2d_MakeArcOfParabola (const gp_Parab2d &Parab, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Boolean Sense=Standard_True)
 Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two points P1 and P2. Please, note: the orientation of the arc of parabola is:
 
const Handle< Geom2d_TrimmedCurve > & Value () const
 Returns the constructed arc of parabola.
 
 operator const Handle< Geom2d_TrimmedCurve > & () const
 
- Public Member Functions inherited from GCE2d_Root
Standard_Boolean IsDone () const
 Returns true if the construction is successful.
 
gce_ErrorType Status () const
 Returns the status of the construction.
 

Additional Inherited Members

- Protected Attributes inherited from GCE2d_Root
gce_ErrorType TheError
 

Detailed Description

Implements construction algorithms for an arc of parabola in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfParabola object provides a framework for:

  • defining the construction of the arc of parabola,
  • implementing the construction algorithm, and
  • consulting the results. In particular, the Value function returns the constructed arc of parabola.

Constructor & Destructor Documentation

◆ GCE2d_MakeArcOfParabola() [1/3]

GCE2d_MakeArcOfParabola::GCE2d_MakeArcOfParabola ( const gp_Parab2d & Parab,
const Standard_Real Alpha1,
const Standard_Real Alpha2,
const Standard_Boolean Sense = Standard_True )

Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two parameters Alpha1 and Alpha2.

◆ GCE2d_MakeArcOfParabola() [2/3]

GCE2d_MakeArcOfParabola::GCE2d_MakeArcOfParabola ( const gp_Parab2d & Parab,
const gp_Pnt2d & P,
const Standard_Real Alpha,
const Standard_Boolean Sense = Standard_True )

Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between point.

and the parameter Alpha.

◆ GCE2d_MakeArcOfParabola() [3/3]

GCE2d_MakeArcOfParabola::GCE2d_MakeArcOfParabola ( const gp_Parab2d & Parab,
const gp_Pnt2d & P1,
const gp_Pnt2d & P2,
const Standard_Boolean Sense = Standard_True )

Make an arc of Parabola (TrimmedCurve from Geom2d) from a Parabola between two points P1 and P2. Please, note: the orientation of the arc of parabola is:

  • the trigonometric sense if Sense is not defined or is true (default value), or
  • the opposite sense if Sense is false.
  • IsDone always returns true.

Member Function Documentation

◆ operator const Handle< Geom2d_TrimmedCurve > &()

GCE2d_MakeArcOfParabola::operator const Handle< Geom2d_TrimmedCurve > & ( ) const
inline

◆ Value()

const Handle< Geom2d_TrimmedCurve > & GCE2d_MakeArcOfParabola::Value ( ) const

Returns the constructed arc of parabola.


The documentation for this class was generated from the following file: